import request from '@/utils/request'


export function listTemp(query) {
  return request({
    url: '/tempWorker/getPageList',
    method: 'get',
    params: query
  })
}
export function addTemp(data) {
  return request({
    url: '/tempWorker/add',
    method: 'post',
    data
  })
}
export function updateTemp(data) {
  return request({
    url: '/tempWorker/update',
    method: 'post',
    data
  })
}
export function deleteTemp(query) {
  return request({
    url: '/tempWorker/delete',
    method: 'get',
    params: query
  })
}
export function examineState(query) {
  return request({
    url: '/tempWorker/examineState',
    method: 'get',
    params: query
  })
}
export function importTempWorker(data) {
  return request({
    url: '/tempWorker/importTempWorker',
    method: 'post',
    data
  })
}
export function setTempWorkerWithdraw(query) {
  return request({
    url: '/tempWorker/setTempWorkerWithdraw',
    method: 'get',
    params: query
  })
}
